Sync build system and CI scripts with ndn-tools

Change-Id: I21dc5349f3f3c819bf8590fe709157ce0bc26b44
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
new file mode 100755
index 0000000..5a8a7f5
--- /dev/null
+++ b/.jenkins.d/10-build.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+sudo env "PATH=$PATH" ./waf --color=yes distclean
+
+./waf --color=yes configure
+./waf --color=yes build -j${WAF_JOBS:-1}
+
+sudo env "PATH=$PATH" ./waf --color=yes install